<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.NameMapper.NamePrefixer</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../NameMapper.html" >NameMapper</a>
</div><div class="class-name">class NamePrefixer

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/NameMapper.py.html" target="detail">../Synopsis/Processors/NameMapper.py</a></div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NamePrefixer" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line30" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="NamePrefixer-inheritance" src="NamePrefixer-inheritance.png" hspace="8" vspace="8" border="0" usemap="#NamePrefixer-inheritance_map" />
<map name="NamePrefixer-inheritance_map"><area alt="Scopes/Synopsis/Processors/NameMapper/NameMapper.html" href="NameMapper.html" shape="rect" coords="7, 7, 300, 31" />
</map>
 <div class="doc">This class adds a prefix to all declaration and type names.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="prefix">prefix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line33" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="type">type</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NamePrefixer.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line36" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="NamePrefixer.html#visit_declaration" >visit_declaration</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NamePrefixer.visit_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line58" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Methods Inherited from NameMapper">
<tr><td colspan="2" class="heading">Methods Inherited from NameMapper</td></tr>
<tr><td class="inherited"><a href="NameMapper.html#visit_scope" title="method NameMapper.visit_scope">visit_scope</a>,
<a href="NameMapper.html#visit_group" title="method NameMapper.visit_group">visit_group</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NamePrefixer.visit_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line58" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Changes the name of this declaration and its associated type</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
